# DataExchange
TKXSBase
StepData

# StepData_FieldList1 Class Reference

Describes a list of ONE field
.

`#include <StepData_FieldList1.hxx>`

Inheritance diagram for StepData_FieldList1:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepData_FieldList1 ()
| Creates a FieldList of 1 Field .
virtual Standard_EXPORT Standard_Integer | NbFields () const
| Returns the count of fields. Here, returns 1 .
virtual Standard_EXPORT const StepData_Field & | Field (const Standard_Integer num) const
| Returns the field n0 <num> between 1 and NbFields (read only) .
virtual Standard_EXPORT StepData_Field & | CField (const Standard_Integer num)
| Returns the field n0 <num> between 1 and NbFields, in order to modify its content .
virtual Standard_EXPORT void | Destroy ()
virtual Standard_EXPORT | ~StepData_FieldList1 ()

## Private Attributes

StepData_Field | thefield

## Constructor & Destructor Documentation

Standard_EXPORT StepData_FieldList1::StepData_FieldList1 | ( |  | ) |

virtual Standard_EXPORT StepData_FieldList1::~StepData_FieldList1 | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Standard_EXPORT StepData_Field& StepData_FieldList1::CField | ( | const Standard_Integer | num | ) | `[virtual]`

| Reimplemented from StepData_FieldList.

virtual Standard_EXPORT void StepData_FieldList1::Destroy | ( |  | ) | `[virtual]`

virtual Standard_EXPORT const StepData_Field& StepData_FieldList1::Field | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from StepData_FieldList.

virtual Standard_EXPORT Standard_Integer StepData_FieldList1::NbFields | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_FieldList.

void StepData_FieldList1::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_FieldList.

void* StepData_FieldList1::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_FieldList.

void* StepData_FieldList1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_FieldList.

## Field Documentation

StepData_Field StepData_FieldList1::thefield`[private]`

The documentation for this class was generated from the following file:

- StepData_FieldList1.hxx